#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "zfz20BETA.h"

void usage(char *program);

void usage(char *program)
{

     printf("\n ZfZ - Zeroday fuZzer v%s", VERSION);
     printf("\n Jeremy Brown [0xjbrown41@gmail.com/http://jbrownsec.blogspot.com]\n");
     printf("\n Usage: %s -h <host> [-p <port>] -<fuzz mode>\n", program);
     printf("\n Options:\n");
     printf("            -h <host>    Host\n");
     printf("            -p [port]    Port\n\n");
     printf("            -F           FTP\n");
     printf("            -S           SMTP\n");
     printf("            -P           POP3\n");
     printf("            -I           IMAP4\n");
     printf("            -N           NNTP\n");
     printf("            -H           HTTP\n");
     printf("            -D           IDENT\n");
     printf("            -R           IRC\n");
     printf("            -Y           SYSLOG\n\n");
     printf("            -a           Generic TCP\n");
     printf("            -b           Generic UDP\n\n");

     printf("\n*** Don't forget to set ZFZUSER/ZFZPASS if your fuzzing POP3/IMAP4/FTP! ***\n");

     printf("\n");

     exit(1);

}

int main(int argc, char *argv[])
{
    
    char username[64+1], password[64+1], begin[128+1], *host = NULL, opt;
    int num, port, sock;
    FILE *fd;

    int httpmode = 0, imapmode = 0, identmode = 0, ircmode = 0, popmode = 0, smtpmode = 0, ftpmode = 0, syslogmode = 0, nntpmode = 0;
    int gtcp = 0, gudp = 0;
    
while ((opt = getopt(argc,argv,"h:p:HIDRPSFYNab")) != EOF)
{

     switch (opt) {

                    case 'h':
                    host = optarg;
                    break;

                    case 'H':
                    httpmode = 1;
                    port     = 80;
                    break;
                    
                    case 'I':
                    imapmode = 1;
                    port     = 143;
                    break;

                    case 'D':
                    identmode = 1;
                    port      = 113;
                    break;

                    case 'R':
                    ircmode = 1;
                    port    = 6667;
                    break;

                    case 'P':
                    popmode = 1;
                    port    = 110;
                    break;

                    case 'S':
                    smtpmode = 1;
                    port     = 25;
                    break;

                    case 'F':
                    ftpmode = 1;
                    port    = 21;
                    break;

                    case 'Y':
                    syslogmode = 1;
                    port       = 514;
                    break;

                    case 'N':
                    nntpmode = 1;
                    port     = 119;
                    break;

                    case 'a':
                    gtcp = 1;
                    port = 1234;
                    break;

                    case 'b':
                    gudp = 1;
                    port = 1234;
                    break;

                    case 'p':
                    port = atoi(optarg);
                    break;

                    default:
                    usage(argv[0]);
                    break;

}
}

     if(host == NULL) usage(argv[0]);

     if(imapmode == 1) snprintf(begin, sizeof(begin)-1, "A0001 LOGIN \"%s\" \"%s\"\r\n", getenv("ZFZUSER"), getenv("ZFZPASS"));
     if(popmode  == 1) snprintf(begin, sizeof(begin)-1, "USER %s\r\nPASS %s\r\n", getenv("ZFZUSER"), getenv("ZFZPASS"));
     if(ftpmode  == 1) snprintf(begin, sizeof(begin)-1, "USER %s\r\nPASS %s\r\n", getenv("ZFZUSER"), getenv("ZFZPASS"));
     

     printf("\nZfZ - Zeroday fuZzer v%s", VERSION);
     printf("\n Jeremy Brown [0xjbrown41@gmail.com/http://jbrownsec.blogspot.com]\n");

if(gtcp == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s", fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (GENERIC TCP) --> %s\n", host, port, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: GENERIC TCP\nFuzz String: %s\n\n", host, port, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(gudp == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s", fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

     int len = sizeof(freq);
if(sendto(sock, freq, len, 0, (struct sockaddr *)&remote, sizeof(remote)) < 0)
{ printf("Error: connect(%s:%d) <> (GENERIC UDP) --> %s\n", host, port, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: GENERIC UDP\nFuzz String: %s\n\n", host, port, fuzz[num-1].desc);
fclose(fd); }
     close(sock);

}
}

if(httpmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[0].method, fuzz[num].string, http[0].version, http[0].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[0].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[1].method, fuzz[num].string, http[1].version, http[1].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[1].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[2].method, fuzz[num].string, http[2].version, http[2].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[2].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[3].method, fuzz[num].string, http[3].version, http[3].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[3].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[4].method, fuzz[num].string, http[4].version, http[4].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[4].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[5].method, fuzz[num].string, http[5].version, http[5].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[5].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[6].method, fuzz[num].string, http[6].version, http[6].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[6].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", http[7].method, fuzz[num].string, http[7].version, http[7].extra, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, http[7].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, http[0].method, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[0].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[1].method, http2[0].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[0].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[1].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[1].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[2].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[2].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[2].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[3].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[3].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[3].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[4].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[4].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[4].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[5].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[5].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[5].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[6].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[6].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[6].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[7].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[7].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[7].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[8].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[8].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[8].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[9].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[9].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[9].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[10].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[10].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[10].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[11].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[11].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[11].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[12].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[12].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[12].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[13].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[13].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[13].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[14].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[14].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[14].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[15].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[15].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[15].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[16].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[16].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[16].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[17].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[17].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[17].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[18].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[18].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[18].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[19].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[19].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[19].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[20].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[20].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[20].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[21].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[21].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[21].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[22].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[22].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[22].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", http[1].method, http[1].version, http[1].extra, http2[23].header, fuzz[num].string, nlrt, nlrt);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s[%s]) --> %s\n", host, port, http[0].method, http2[23].header, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s[%s]\nFuzz String: %s\n\n", host, port, http[0].method, http2[23].header, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(imapmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s %s%s%s%s", imap[0].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[1].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[1].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[1].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[2].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[2].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[2].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[3].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[3].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[3].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[4].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[4].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[5].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[5].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[5].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[6].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[6].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[6].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[7].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[7].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[7].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[8].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[8].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[8].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[9].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[9].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[9].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[10].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[10].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[10].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[11].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[11].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[11].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[12].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[12].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[12].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[13].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[13].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[13].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[14].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[14].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[14].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[15].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[15].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[15].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[16].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[16].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[16].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[17].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[17].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[17].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[18].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[18].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[18].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[19].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[19].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[19].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, imap[20].command, fuzz[num].string, nlrt, nlrt, imapend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, imap[20].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, imap[20].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(identmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s, 1234\r\n\r\n", fuzz[num].string);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (port-on-server) --> %10s, 1234\n", host, port, fuzz[num].string);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFuzz String: %s\n\n", host, port, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "1234, %s\r\n\r\n", fuzz[num].string);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (port-on-client) --> 1234, %10s\n", host, port, fuzz[num].string);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFuzz String: %s\n\n", host, port, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(ircmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s %s %s %s%s%s%s%s%s%s", irc[0].command, fuzz[num].string, fuzz[num].string, fuzz[num].string, fuzz[num].string, nlrt, irc[1].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s/%s) --> %s\n", host, port, irc[0].command, irc[1].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s/%s\nFuzz String: %s\n\n", host, port, irc[0].command, irc[1].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s %s%s%s%s", ircbegin, irc[2].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[2].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[2].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[3].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[3].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[3].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s#%s%s%s%s", ircbegin, irc[4].command, fuzz[num].string, nlrt, nlrt, ircend); // JOIN /w channel (no key)

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[4].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s#%s %s%s%s%s", ircbegin, irc[4].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, ircend); // JOIN /w channel+key

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s (channel+key)\nFuzz String: %s\n\n", host, port, irc[4].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s#%s%s%s%s", ircbegin, irc[5].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[5].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[5].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%stest%s%s#%s%s%s%s", ircbegin, irc[5].command, nlrt, irc[6].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[6].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[6].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s#%s%s%s%s", ircbegin, irc[7].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[7].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[7].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s#%s%s%s%s", ircbegin, irc[8].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[8].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[8].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%sbob #%s%s%s%s", ircbegin, irc[9].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[9].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[9].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[10].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[10].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[10].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[11].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[11].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[11].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[12].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[12].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[12].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[13].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[13].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[13].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s %s%s%s%s", ircbegin, irc[14].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[14].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[14].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s#%s %s%s%s%s", ircbegin, irc[15].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[15].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[15].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[16].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[16].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[16].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[17].command, fuzz[num].string, nlrt, nlrt, ircend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[17].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[17].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", ircbegin, irc[18].command, fuzz[num].string, nlrt, nlrt, ircend); // whowas

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[18].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, irc[18].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s %s%s%s%s", ircbegin, irc[18].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, ircend); // whowas+hop

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[18].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s+hop\nFuzz String: %s\n\n", host, port, irc[18].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s %s %s%s%s%s", ircbegin, irc[18].command, fuzz[num].string, fuzz[num].string, fuzz[num].string, nlrt, nlrt, ircend); // whowas+hop+server

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, irc[18].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s+hop+server\nFuzz String: %s\n\n", host, port, irc[18].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(popmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%stest%s%s%s", pop[0].command, fuzz[num].string, nlrt, pop[1].command, nlrt, nlrt, popend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, pop[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, pop[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%stest%s%s%s%s%s%s", pop[0].command, nlrt, pop[1].command, fuzz[num].string, nlrt, nlrt, popend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, pop[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, pop[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s %s%s%s%s", begin, pop[2].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, popend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, pop[2].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, pop[2].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, pop[3].command, fuzz[num].string, nlrt, nlrt, popend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, pop[3].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, pop[3].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, pop[4].command, fuzz[num].string, nlrt, nlrt, popend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, pop[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, pop[4].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s %s%s%s%s", begin, pop[5].command, fuzz[num].string, fuzz[num].string, nlrt, nlrt, popend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, pop[5].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, pop[5].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, pop[6].command, fuzz[num].string, nlrt, nlrt, popend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, pop[6].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, pop[6].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(smtpmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", smtp[0].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s@test.com%s%s%s", smtphelo, smtp[1].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[1].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[1].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%stest@test.com%s%s@test.com%s%s%s%s", smtphelo, smtp[1].command, nlrt, smtp[2].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[2].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[2].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%stest@test.com%s%stset@tset.com%s%s%s@test.com%s%s%s", smtphelo, smtp[1].command, nlrt, smtp[2].command, nlrt, smtp[3].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[3].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[3].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%stest@test.com%s%stset@tset.com%s%s%s@test.com%s%s%s", smtphelo, smtp[1].command, nlrt, smtp[2].command, nlrt, smtp[4].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[4].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%stest@test.com%s%stset@tset.com%s%s%s@test.com%s%s%s", smtphelo, smtp[1].command, nlrt, smtp[2].command, nlrt, smtp[5].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[5].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[5].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%stest@test.com%s%stset@tset.com%s%s%s%s%s%s", smtphelo, smtp[1].command, nlrt, smtp[2].command, nlrt, smtp[6].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[6].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[6].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%stest@test.com%s%stset@tset.com%s%s%s%s%s%s", smtphelo, smtp[1].command, nlrt, smtp[2].command, nlrt, smtp[7].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[7].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[7].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", smtphelo, smtp[8].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[8].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[8].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", smtphelo, smtp[9].command, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[9].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[9].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", smtphelo, smtp[10].command, nlrt, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[10].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[10].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s%s", smtphelo, smtp[11].command, nlrt, fuzz[num].string, nlrt, nlrt, smtpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, smtp[11].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, smtp[11].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(ftpmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%stest%s%s", ftp[0].command, fuzz[num].string, nlrt, ftp[1].command, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%stest%s%s%s%s%s", ftp[0].command, nlrt, ftp[1].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[2].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[3].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[3].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[3].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[4].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[4].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[5].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[5].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[5].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[6].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[6].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[6].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[7].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[7].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[7].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[8].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[8].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[8].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[9].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[9].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[9].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[10].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[10].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[10].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[11].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[11].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[11].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[12].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[12].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[12].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[13].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[13].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[13].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[14].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[14].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[14].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[15].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[15].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[15].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[16].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[16].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[16].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[17].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[17].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[17].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[18].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[18].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[18].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[19].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[19].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[19].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[20].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[20].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[20].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[21].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[21].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[21].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[22].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[22].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[22].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[23].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[23].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[23].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s%s", begin, ftp[24].command, fuzz[num].string, nlrt, nlrt, ftpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, ftp[24].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, ftp[24].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

if(syslogmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "<%s>%s%s%s%s", fuzz[num].string, syslog[1].command, syslog[2].command, syslog[3].command, syslog[4].command);

     sleep(1);

if((sock = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

     int len = sizeof(freq);
if(sendto(sock, freq, len, 0, (struct sockaddr *)&remote, sizeof(remote)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, syslog[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, syslog[0].command, fuzz[num-1].desc);
fclose(fd); }
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s %s%s%s", syslog[0].command, fuzz[num].string, syslog[2].command, syslog[3].command, syslog[4].command);

     sleep(1);

if((sock = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

     int len = sizeof(freq);
if(sendto(sock, freq, len, 0, (struct sockaddr *)&remote, sizeof(remote)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, syslog[1].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, syslog[1].command, fuzz[num-1].desc);
fclose(fd); }
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s %s%s", syslog[0].command, syslog[1].command, fuzz[num].string, syslog[3].command, syslog[4].command);

     sleep(1);

if((sock = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

     int len = sizeof(freq);
if(sendto(sock, freq, len, 0, (struct sockaddr *)&remote, sizeof(remote)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, syslog[2].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, syslog[2].command, fuzz[num-1].desc);
fclose(fd); }
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s %s", syslog[0].command, syslog[1].command, syslog[2].command, fuzz[num].string, syslog[4].command);

     sleep(1);

if((sock = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

     int len = sizeof(freq);
if(sendto(sock, freq, len, 0, (struct sockaddr *)&remote, sizeof(remote)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, syslog[3].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, syslog[3].command, fuzz[num-1].desc);
fclose(fd); }
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", syslog[0].command, syslog[1].command, syslog[2].command, syslog[3].command, fuzz[num].string);

     sleep(1);

if((sock = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

     int len = sizeof(freq);
if(sendto(sock, freq, len, 0, (struct sockaddr *)&remote, sizeof(remote)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, syslog[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, syslog[4].command, fuzz[num-1].desc);
fclose(fd); }
     close(sock);

}
}

if(nntpmode == 1) {
for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[0].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[0].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[0].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[1].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[1].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[1].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[2].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[2].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[2].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[3].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[3].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[3].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[4].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[4].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[4].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[5].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[5].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[5].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[6].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[6].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[6].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[7].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[7].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[7].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[8].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[8].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[8].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[9].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[9].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[9].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%stest%s%s%s", nntp[10].command, fuzz[num].string, nlrt, nntp[11].command, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[10].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[10].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%stest%s%s%s%s%s%s", nntp[10].command, nlrt, nntp[11].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[11].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[11].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[12].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[12].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[12].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[13].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[13].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[13].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[14].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[14].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[14].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%stest%s%s%s%s%s", nntp[13].command, nlrt, nntp[15].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[15].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[15].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[16].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[16].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[16].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[17].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[17].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[17].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[18].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[18].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[18].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[19].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[19].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[19].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}

for(num = 0; num <= MAXFS; num++)
{
        
     int sock;
     struct sockaddr_in remote;

     remote.sin_family = AF_INET;
     remote.sin_port = htons(port);
     remote.sin_addr.s_addr = inet_addr(host);

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s%s%s%s", nntp[20].command, fuzz[num].string, nlrt, nlrt, nntpend);

if((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
{ printf("Error: socket()\n"); return -1; }

if(connect(sock,(struct sockaddr *)&remote, sizeof(struct sockaddr)) < 0)
{ printf("Error: connect(%s:%d) <> (%s) --> %s\n", host, port, nntp[20].command, fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+");
fprintf(fd, "Host: %s\nPort: %d\nFunction Fuzzed: %s\nFuzz String: %s\n\n", host, port, nntp[20].command, fuzz[num-1].desc);
fclose(fd); return -1; }

     int len = sizeof(freq);
     send(sock, freq, len, 0);
     close(sock);

}
}

     printf("\nZfZ Fuzzing Complete!\n\n");

     return 0;
     
}
